package com.mycompany;

import java.util.Date;
import java.lang.String;


/**
 * @author Steve Potts
 */

public class Customer
{
     private int customerNumber;
     private String customerName;
     private String street;
     private String city;
     private String state;
     private String zip;

     static int nextCustomerNumber = 1000;

     //constructor
     public Customer()
     {
          this.customerNumber = nextCustomerNumber;
          nextCustomerNumber++;
     }

     //getters

     public String getCustomerName()
     {
          return this.customerName;
     }

     public String getStreet()
     {
          return this.street;
     }

     public String getCity()
     {
          return this.city;
     }

     public String getState()
     {
          return this.state;
     }

     public String getZip()
     {
          return this.zip;
     }

     public int getCustomerNumber()
     {
          return this.customerNumber;
     }

//Setters 

     public void setCustomerName(String customerName)
     {
          this.customerName = customerName;
     }

     public void setStreet(String street)
     {
          this.street = street;
     }

     public void setCity(String city)
     {
          this.city = city;
     }

     public void setState(String state)
     {
          this.state = state;
     }

     public void setZip(String zip)
     {
          this.zip = zip;
     }

}