import electric.registry.Registry;

public class ourSearch
{
  /**
   *  Description of the Method
   *
   *@param  args Description of the Parameter
   *@exception  Exception Description of the Exception
   */
  public static void main(String args[])
    throws Exception
  {
    if (args.length != 1)
    {
      System.out.println("Include search terms enclosed in \".");
      System.out.println("For example \"Commodore Amiga 2000\"");
      System.exit(-1);
    }
  // This part will be different depending on your toolset.
  IGoogleSearchPort search = GoogleSearchServiceHelper.bind();

  // Your search key will be mailed to you when
  // you register to use the GoogleAPI.
  String key = "bV8vwfxQFHKmgaPdMwfu8jRaCkpgkBAS";

  // Set optional attributes

  // Invoke the actual search
  // Do this in a loop since the max number allowed to be
  // returned at a time is 10.
  GoogleSearchResult  result    = null;
    result = search.doGoogleSearch(
        key,
        args[0],
        0,
        10,
        false,
        "",
        true,
        "",
        "",
        ""
        );
    // process the result
    // First we'll just show the result metrics

    System.out.println("Estimated number of hits:");
    System.out.println(result.estimatedTotalResultsCount);
    System.out.println("Search time:");
    System.out.println(result.searchTime);
    System.out.println("RESULTS:");
    System.out.println("-------------------------------------");

  // Now the actual results. The API restricts us to 10
  // results per search, so we have to do the search over
  // and over getting the next batch of 10 results...

  ResultElement[]     elements  = null;
  int                 startpos  = 0;
  boolean             flag      = true;
    while (flag == true)
    {
      result = search.doGoogleSearch(
          key,
          args[0],
          startpos,
          10,
          false,
          "",
          true,
          "",
          "",
          ""
          );

      elements = result.resultElements;

      for (int i = 0; i < elements.length; i++)
      {
        System.out.println(elements[i].URL);
      }
      if (elements.length < 10)
      {
        flag = false;
      }
      startpos = startpos + 10;
    }
  }
}
